ia64/xen-unstable

changeset 8149:82f61375cd74

Improve the tls warning message to mention that the best soloution is to install a 'xen-friendly' glibc.

Signed-off-by: ian@xensource.com
author iap10@freefall.cl.cam.ac.uk
date Thu Dec 01 02:36:46 2005 +0100 (2005-12-01)
parents 28ce48573771
children 06c3b8e194d7
files linux-2.6-xen-sparse/arch/xen/i386/kernel/fixup.c
line diff
     1.1 --- a/linux-2.6-xen-sparse/arch/xen/i386/kernel/fixup.c	Wed Nov 30 19:55:08 2005 +0000
     1.2 +++ b/linux-2.6-xen-sparse/arch/xen/i386/kernel/fixup.c	Thu Dec 01 02:36:46 2005 +0100
     1.3 @@ -56,9 +56,11 @@ fastcall void do_fixup_4gb_segment(struc
     1.4  	DP("***************************************************************");
     1.5  	DP("***************************************************************");
     1.6  	DP("** WARNING: Currently emulating unsupported memory accesses  **");
     1.7 -	DP("**          in /lib/tls libraries. The emulation is very     **");
     1.8 +	DP("**          in /lib/tls glibc libraries. The emulation is    **");
     1.9  	DP("**          slow. To ensure full performance you should      **");
    1.10 -	DP("**          execute the following as root:                   **");
    1.11 +	DP("**          install a 'xen-friendly' (nosegneg) version of   **");
    1.12 +	DP("**          the library, or disable tls support by executing **");
    1.13 +	DP("**          the following as root:                           **");
    1.14  	DP("**          mv /lib/tls /lib/tls.disabled                    **");
    1.15  	DP("** Offending process: %-38.38s **", info);
    1.16  	DP("***************************************************************");